/*
 * Copyright (C) 2009 SENJU Jiro
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef __SOCK_H__
#define __SOCK_H__

#include <sys/socket.h>
#include <sys/types.h>
#include <netinet/in.h>

int set_nonblock(int sock, int sw);
int simple_server_socket(int port, int backlog, int nonblock);

int send_sock(int pfd, int sock);
int recv_sock(int pfd);

#endif /* __SOCK_H__ */
