
#ifndef __TS_H__
#define __TS_H__

#include <sys/time.h>

#ifdef TIMESPEC_TO_TIMEVAL
static inline void ts_sub(struct timespec *res, struct timespec *a,
			  struct timespec *b)
{
	struct timeval tv[3];

	TIMESPEC_TO_TIMEVAL(tv + 0, a);
	TIMESPEC_TO_TIMEVAL(tv + 1, b);
	timersub(tv + 0, tv + 1, tv + 2);
	TIMEVAL_TO_TIMESPEC(tv + 2, res);
	if (res->tv_nsec > 1000 * 1000 * 1000) {
		res->tv_nsec -= 1000 * 1000 * 1000;
		res->tv_sec++;
	}
}
#endif

#endif /* __TS_H__ */
